Ga naar de inhoud
AchaduDevelopers
Operationele APIGa naar website
Dashboard
Developers/API/coupon_update
Coupons

Kortingsbon bijwerken

Updates geldigheid, korting en geschiktheid.

PATCH/coupons/{id}coupons:write

Verzoek

idstring · pathResource-ID.verplicht
marketplacestring · bodyMarktplaats.optioneel
codestring · bodyCouponcode.optioneel
descriptionstring · bodyBeschrijving.optioneel
valuestring · bodyWaarde gepresenteerd.optioneel
minimumnumber · bodyMinimale bestelling.optioneel
valid_untilstring · bodyISO-geldigheid.optioneel
typestring · bodyCoupontype.optioneel
discountnumber · bodyPercentage of kortingsbedrag.optioneel
capnumber · bodyKortingsplafond.optioneel
categoriesarray · bodyGeschikte categorieën.optioneel
verifiedboolean · bodyMarkeer de kortingsbon als geverifieerd.optioneel
activeboolean · bodyActiveer of archiveer de kortingsbon.optioneel

Voorbeeld

curl
curl -X PATCH 'https://achadu.com/api/v1/coupons/resource_id' \
+  -H 'Authorization: Bearer ach_live_...' \
+  -H 'Accept: application/json' \
+  -H 'Content-Type: application/json' \
+  --data '{
  "marketplace": "string",
  "code": "string",
  "description": "string"
}'

Antwoord

200Operatie voltooid
4xxFout met code, bericht en request_id